Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
tlp::GlGrid Class Reference

General class used to render grids as augmented displays. More...

`#include <GlGrid.h>`

Inheritance diagram for tlp::GlGrid:
[legend]
Collaboration diagram for tlp::GlGrid:
[legend]

List of all members.

## Public Member Functions

- GlGrid ()
- GlGrid (const Coord &frontTopLeft, const Coord &backBottomRight, const Size &cell, const Color &color, bool displays[3])
- virtual void draw (float lod, Camera *camera)
- void getDisplayDim (bool displayDim[3]) const
- void setDisplayDim (bool displayDim[3])
- virtual void translate (const Coord &mouvement)
- void getXML (xmlNodePtr rootNode)
- void setWithXML (xmlNodePtr rootNode)

## Protected Attributes

- bool displayDim [3]
- bool hollowGrid
- Coord frontTopLeft
- Coord backBottomRight
- Color color
- Size cell

## Detailed Description

General class used to render grids as augmented displays.

This class is a generic class to render grids as augmented displays. It does not uses the basic parameters of the GlAugmentedDisplay(position and color).

## Constructor & Destructor Documentation

tlp::GlGrid::GlGrid | ( |  | ) | `[inline]`

Constructor

tlp::GlGrid::GlGrid | ( | const Coord & | frontTopLeft,
|  | const Coord & | backBottomRight,
|  | const Size & | cell,
|  | const Color & | color,
|  | bool | displays[3]
| ) |  |

Constructor

Parameters:

  frontTopLeft | The minimum of the bounding box of the grid.
  backBottomRight | The maximum of the bounding box of the grid.
  cell | The size of a single cell of the grid.
  color | The color of the lines of the grid.
  displays | The dimensions of the grid to display.
  hollowGrid | Indicates if the grid chould be hollowed.

## Member Function Documentation

virtual void tlp::GlGrid::draw | ( | float | lod,
|  | Camera * | camera
| ) |  | `[virtual]`

Virtual function used to draw the grid.

Implements tlp::GlSimpleEntity.

void tlp::GlGrid::getDisplayDim | ( | bool | displayDim[3] | ) | const

Accessor in reading to the dimensions to display.

void tlp::GlGrid::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Get the data in XML form

Implements tlp::GlSimpleEntity.

void tlp::GlGrid::setDisplayDim | ( | bool | displayDim[3] | ) |

Accessor in writing to the dimensions to display.

void tlp::GlGrid::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Set the data with XML

Implements tlp::GlSimpleEntity.

virtual void tlp::GlGrid::translate | ( | const Coord & | mouvement | ) | `[virtual]`

Translate entity

Reimplemented from tlp::GlSimpleEntity.

## Member Data Documentation

Coord tlp::GlGrid::backBottomRight`[protected]`

Back bottom right point of the grid, the "maximum"

Size tlp::GlGrid::cell`[protected]`

The size of a cell of the grid

Color tlp::GlGrid::color`[protected]`

The color of the grid

bool tlp::GlGrid::displayDim[3]`[protected]`

Which dimensions should be displayed ? Note that only one dimension at most should be disabled

Coord tlp::GlGrid::frontTopLeft`[protected]`

Front top left point of the grid, the "minimum"

bool tlp::GlGrid::hollowGrid`[protected]`

Should the grid be hollowed ?

Tulip Software by LaBRI Visualization Team 2001 - 2012